package com.example.actionbar_pull_to_refresh.app;

import android.view.View;
import android.widget.ListView;
import android.widget.ProgressBar;
import android.widget.TextView;

import butterknife.ButterKnife;
import butterknife.InjectView;

/** Helper class for easier usage of empty view for ListView.
 *  This version utilizes ButterKnife for view injection.
 */
public class ButterKnifeListViewHelper {

    @InjectView(android.R.id.list)
    ListView mList;
    @InjectView(android.R.id.empty)
    View mEmptyView;
    @InjectView(R.id.txtLoading)
    TextView mTxtLoading;
    @InjectView(R.id.txtEmpty)
    TextView mTxtEmpty;
    @InjectView(R.id.listProgress)
    ProgressBar mProgress;

    public ButterKnifeListViewHelper(View container) {
        initHelperViews(container);
    }

    private void initHelperViews(View container) {
        ButterKnife.inject(this, container);
        mList.setEmptyView(mEmptyView);
    }

    public void showLoading() {
        mTxtEmpty.setVisibility(View.INVISIBLE);
        mTxtLoading.setVisibility(View.VISIBLE);
        mProgress.setVisibility(View.VISIBLE);
    }

    public void showEmpty() {
        mTxtEmpty.setVisibility(View.VISIBLE);
        mTxtLoading.setVisibility(View.INVISIBLE);
        mProgress.setVisibility(View.INVISIBLE);
    }
}
