package com.example.actionbar_pull_to_refresh.app;

import android.view.View;
import android.widget.ListView;
import android.widget.ProgressBar;
import android.widget.TextView;

/** Helper class for easier usage of empty view for ListView */
public class ListViewHelper {

    private ListView mList;
    private View mEmptyView;
    private TextView mTxtLoading;
    private TextView mTxtEmpty;
    private ProgressBar mProgress;

    public ListViewHelper(View container) {
        initHelperViews(container);
    }

    private void initHelperViews(View container) {
        this.mList = (ListView) container.findViewById(android.R.id.list);
        this.mEmptyView = container.findViewById(android.R.id.empty);
        this.mTxtLoading = (TextView) container.findViewById(R.id.txtLoading);
        this.mTxtEmpty = (TextView) container.findViewById(R.id.txtEmpty);
        this.mProgress = (ProgressBar) container.findViewById(R.id.listProgress);
        mList.setEmptyView(mEmptyView);
    }

    public void showLoading() {
        mTxtEmpty.setVisibility(View.INVISIBLE);
        mTxtLoading.setVisibility(View.VISIBLE);
        mProgress.setVisibility(View.VISIBLE);
    }

    public void showEmpty() {
        mTxtEmpty.setVisibility(View.VISIBLE);
        mTxtLoading.setVisibility(View.INVISIBLE);
        mProgress.setVisibility(View.INVISIBLE);
    }
}
