package com.example.dialogs_demo;

import android.content.Context;


public class Singleton {

    private static Singleton sInstance;

    public static Singleton newInstance(Context context) {
        if (sInstance == null) {
            // the wrong way to create singleton instance
//            sInstance = new Singleton(context);

            // the correct way to create singleton instance - use application context only!!!
            sInstance = new Singleton(context.getApplicationContext());
        }
        return sInstance;
    }


    private Context mContext;

    private Singleton(Context context) {
        mContext = context;
    }


}
